package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 库区移动表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnKqydStoreorderdetailsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnKqydStoreorderdetails(PageData pd)throws Exception {
        return daoSupport.update("SKcKnKqydStoreorderdetailsMapper.addSKcKnKqydStoreorderdetails", pd);
    }

    public List<PageData> findSKcKnKqydStoreorderdetailsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnKqydStoreorderdetailsMapper.selectSKcKnKqydStoreorderdetailsList", pd);
    }

    public Integer SKcKnKqydStoreorderdetailsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnKqydStoreorderdetailsMapper.SKcKnKqydStoreorderdetailsRemove", pd);
    }


    public Integer updateSKcKnKqydStoreorderdetails(PageData pd)throws Exception {
        return daoSupport.update("SKcKnKqydStoreorderdetailsMapper.updateSKcKnKqydStoreorderdetails", pd);
    }

}
